it-swarm.com.de

Problem bei der Installation von .NET 4.6 mit Wine

Ich bin ganz neu in der Verwendung von Wine, also werde ich auflisten, was ich getan habe:

Sudo dpkg --add-architecture i386
Sudo add-apt-repository ppa:wine/wine-builds
Sudo apt update
Sudo apt install wine-devel
export WINEARCH=win32
winecfg
Sudo apt-get winetricks

Danach ging ich zu https://appdb.winehq.org/objectManager.php?sClass=version&iId=32828

Den dort verfügbaren 4.6 Offline Installer heruntergeladen

Dann am Terminal

 cd ~/Downloads/ (where the installer was)

 wine NDP46-KB3045557-x86-x64-AllOS-ENU.exe /q (silent installation)

Danach kommt ein großes Ergebnis (konnte nicht posten, weil Filter es nicht zulässt)

Dann überprüfe ich, ob dotnet installiert ist:

winetricks list-installed

Result: dotnet40
        dotnet45

* Sowohl 4.0 als auch 4.5 wurden vor der Installation von 4.6 mit Winetricks GUI installiert.

Ich weiß wirklich nicht, wo das Problem bei der Installation von 4.6 liegt. Jemand hat dies erfolgreich installiert? Wirklich dankbar für jede Hilfe!

Ubunt 16.04 LTS Wine Version bekam: 2.1 (Entwicklung)

Vielen Dank

8
Marc

Gute Nachricht: Ich konnte das Problem lösen, indem ich Wine 2.0 mit Ricotz 'PPA und den aktuelleren Winetricks installierte.

Entfernen Sie zuerst die letzte Installation (in meinem Fall war es Wein-Entwickler)

Sudo apt-get remove --purge wine-devel*
Sudo apt-get update
Sudo apt-get autoclean
Sudo apt-get clean
Sudo apt-get autoremove

Holen Sie sich Ricotz Wein 2.0:

Sudo dpkg --add-architecture i386
Sudo add-apt-repository ppa:ricotz/unstable
Sudo apt update
Sudo apt install wine2.0

Erstellen Sie ein anderes Präfix (z. B. .wine32), setzen Sie WINEARCH auf win32 und führen Sie winecfg aus:

WINEPREFIX="$HOME/.wine32" WINEARCH=win32 winecfg
"Set Windows 7"

Führen Sie dann Winetricks mit den letzten Konfigurationen aus:

WINEPREFIX="$HOME/.wine32" WINEARCH=win32 winetricks

Jetzt gehe zu Wähle Standard Winetricks -> Installiere ein Windows DLL oder Komponenten -> dotnet46 und installiere es.

Wine wird dotnet46 und andere Anforderungen herunterladen und installieren. Auch wenn Sie nach Mono fragen, werden immer mehr Anforderungen heruntergeladen, bis .NET 4.6 installiert werden kann (Mono war für mich nicht erforderlich).

11
Marc